Subject: Re: kernel hang on 'now booting the kernel'

From: Grant Likely <[email-masked]>
Date: Wed, 11 Jan 2006 19:13:21 -0700

[email-masked] wrote:
> Ali,
> 
> What is likely happening is that Linux's logical address space is not
> configured appropriately. The MMU configuration is the first or Second
> thing to happen after zImage boots into the Kernel.
> 
> I had the same problem for a custom board with a Xilinx Virtex 2 Pro.
> The problem was that I edited the .config file without running
> menuconfig and that I changed KERNELBASE. Don't change KERNELBASE
> because if you do it will screw up Linux's logical address space. Second
> always run make menuconfig before make dep and make zImage because
or you can run 'make oldconfig' after editing .config.  oldconfig will 
sanitize your changes.

> menuconfig alters a number of lower level files according to your
> configuration. Also make sure that you copy the BSP into the kernel
> source tree otherwise Linux will be writing to the wrong address when
> trying to output to stdout.
> 
> Regards,
> 
> Andrew

-- 
Grant Likely, B.Sc. P.Eng.
Secret Lab Technologies Ltd.
(403) 663-0761